<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Welcome to Firebase Hosting</title>

    <!-- update the version number as needed -->
    <script defer src="/__/firebase/9.17.1/firebase-app-compat.js"></script>
    <!-- include only the Firebase features as you need -->
    <script defer src="/__/firebase/9.17.1/firebase-auth-compat.js"></script>
    <script
      defer
      src="/__/firebase/9.17.1/firebase-database-compat.js"
    ></script>
    <script
      defer
      src="/__/firebase/9.17.1/firebase-firestore-compat.js"
    ></script>
    <script
      defer
      src="/__/firebase/9.17.1/firebase-functions-compat.js"
    ></script>
    <script
      defer
      src="/__/firebase/9.17.1/firebase-messaging-compat.js"
    ></script>
    <script defer src="/__/firebase/9.17.1/firebase-storage-compat.js"></script>
    <script
      defer
      src="/__/firebase/9.17.1/firebase-analytics-compat.js"
    ></script>
    <script
      defer
      src="/__/firebase/9.17.1/firebase-remote-config-compat.js"
    ></script>
    <script
      defer
      src="/__/firebase/9.17.1/firebase-performance-compat.js"
    ></script>
    <!-- 
      initialize the SDK after all desired features are loaded, set useEmulator to false
      to avoid connecting the SDK to running emulators.
    -->
    <script defer src="/__/firebase/init.js?useEmulator=true"></script>

    <link rel="stylesheet" href="./css/login_style.css" />
  </head>
  <body>
    <h1>Hello!</h1>

    <!-- 01.UWIERZYTELNIANIE -->

    <!-- <div id="viewForNotLoggedUser">
      <form>
        <div>
          <label>Email</label>
          <input id="emailForm" type="text" placeholder="email" />
        </div>

        <div>
          <label>Password</label>
          <input id="passwordForm" type="password" placeholder="password" />
        </div>

        <div>
          <div id="errorLabel"></div>
        </div>

        <div>
          <button id="signUpBtn" type="button">Sign Up</button>
          <button id="signInBtn" type="button">Sign In</button>
          <button id="signInWithGoogleBtn" type="button">Sign In With Google</button>
        </div>
      </form>
    </div>

    <div id="viewForLoggedUser">
      <form class="collection">
        <button id="signOutBtn" type="button">Sign Out</button>
        <div class="content">tu będzie jakiś kontent</div>
      </form>

      <form class="animalCreate">
        <label>Nazwa</label>
        <input id="animalNameForm" type="text" />
        <button id="createAnimalBtn" type="button">Utwórz</button>
      </form>
    </div> -->

    <!-- 02. STORAGE -->
    <!-- 
    <label for="imageInput">Wybierz zdjęcie</label>
    <input id="imageInput" type="file" /><br />

    <label for="imageName">Nazwa pliku</label>
    <input id="imageName" type="text" /><br />

    <button id="uploadBtn" type="button">Prześlij</button>

    <div id="uploadImageProgressBar"></div>

    <img id="uploadedImage" alt="obrazek z serwera" />
  </br>
  </br>
  </br>



  <div id="imagesDropDownList"></div>
  <img alt='tu bedzie obrazek z serwera' id="selectedImage">

  <div id="audioPlayer"></div> -->
    <!-- ----------------------------------------------------------- -->
    <!------------------- 03. REALTIME DATABASE -------------->

    <label for="nameInput">Imię</label>
    <input id="nameInput" type="text" />

    <label for="messageInput">Wiadomość</label>
    <input id="messageInput" type="text" />

    <button type="button" id="sendMessageBtn">Wyślij</button>

    <div id="chatArea"></div>

    <script type="module" src="app3.js"></script>
  </body>
</html>
